<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>GeoLocation</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
    <ion-list-header>
      <h2>Permisos</h2>
    </ion-list-header>
  <ion-item>
    <div>Location: {{permisoLocation}}</div>
  </ion-item>
  <ion-item *ngIf="permisoLocation === 'prompt' || permisoLocation === 'prompt-with-rationale'">
    <div>
      <ion-button (click)="pedirPermiso()">Pedir permiso</ion-button>
    </div>
  </ion-item>
  <ion-item *ngIf="permisoLocation === 'granted'">
    <div>

    </div>
  </ion-item>
  <ion-item>
    <div>Coarse Location: {{permisoCoarseLocation}}</div>
  </ion-item>
  <ion-item *ngIf="permisoCoarseLocation === 'prompt' || permisoCoarseLocation === 'prompt-with-rationale'">
    <div>
      <ion-button (click)="pedirPermiso()">Pedir permiso</ion-button>
    </div>
  </ion-item>
  <ion-item>
    <div>Latitud: {{posicion?.coords.latitude}}</div>
    <div>Longitud: {{posicion?.coords.longitude}}</div>
  </ion-item>
  </ion-list>
  <ion-button (click)="createMap()">Create Map</ion-button>
  <div #map class="mapa"></div>
</ion-content>
